package com.citygis.controller;


import com.citygis.common.controller.BaseController;
import com.citygis.common.page.TableDataInfo;
import com.citygis.common.pojo.AjaxResult;
import com.citygis.domain.CdcDrawLines;
import com.citygis.service.ICdcDrawLinesService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author shcd
 * @since 2024-09-20
 */
@Api(tags = "画线")
@CrossOrigin
@RestController
@RequestMapping("/code/cdc-draw-lines")
public class CdcDrawLinesController extends BaseController {

    @Resource
    ICdcDrawLinesService iCdcDrawLinesService;

    @ApiOperation("添加画线")
    @PostMapping("/addCdcDraw")
    public AjaxResult addCdcDraw(@RequestBody List<CdcDrawLines> cdcDrawLines) {
        return iCdcDrawLinesService.addDrawLinesList(cdcDrawLines);
    }

    @ApiOperation("画线列表")
    @GetMapping("/selDrawLines")
    public TableDataInfo selDrawLines() {
        startPage();
        return getDataTable(iCdcDrawLinesService.selDrawLines());
    }

    @ApiOperation("画线详情")
    @GetMapping("/getOneDetails")
    public AjaxResult getOneDetails(CdcDrawLines cdcDrawLines) {
        return iCdcDrawLinesService.selDrawLinesById(cdcDrawLines);
    }
}

