package com.citygis.controller;


import com.citygis.common.controller.BaseController;
import com.citygis.common.pojo.AjaxResult;
import com.citygis.domain.TimeBase;
import com.citygis.service.ICdcTbCrbbgkService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author shcd
 * @since 2024-09-19
 */
@Api(tags = "看板")
@RestController
@CrossOrigin
@RequestMapping("/kanban")
public class CdcTbCrbbgkController extends BaseController {

    @Resource
    ICdcTbCrbbgkService iCdcTbCrbbgkService;

    @ApiOperation("柱状图")
    @GetMapping("/getHistogramData")
    public AjaxResult getHistogramData(){
        return iCdcTbCrbbgkService.getHistogramData();
    }

    @ApiOperation("分区数据")
    @GetMapping("/getDataByArea")
    public AjaxResult getDataByArea(){
        return iCdcTbCrbbgkService.getDataByArea();
    }

     @ApiOperation("撒点")
    @PostMapping("/sprinkleSomeByType")
    public AjaxResult sprinkleSomeByType(@RequestBody TimeBase timeBase){
        return iCdcTbCrbbgkService.sprinkleSomeByType(timeBase);
    }

}



