package com.citygis.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.citygis.common.pojo.AjaxResult;
import com.citygis.domain.CdcDrawLines;
import com.citygis.mapper.CdcDrawLinesMapper;
import com.citygis.service.ICdcDrawLinesService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;
import java.util.UUID;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author shcd
 * @since 2024-09-20
 */
@Service
public class CdcDrawLinesServiceImpl extends ServiceImpl<CdcDrawLinesMapper, CdcDrawLines> implements ICdcDrawLinesService {

    @Resource
    CdcDrawLinesMapper cdcDrawLinesMapper;

    @Override
    public List<CdcDrawLines> selDrawLines() {
        List<CdcDrawLines> list = cdcDrawLinesMapper.getCdcDrawList();
        return list;
    }

    @Transactional
    @Override
    public AjaxResult addDrawLinesList(List<CdcDrawLines> cdcDrawLines) {
        try{
            String string = UUID.randomUUID().toString();

            cdcDrawLines.forEach(line -> line.setId(string));
            boolean b = this.saveBatch(cdcDrawLines);
            if(b){
                return AjaxResult.success("添加成功");
            }else{
                return AjaxResult.success("添加失败");
            }

        } catch (Exception e) {
            return AjaxResult.error(e.getMessage());
        }
    }

    @Override
    public AjaxResult selDrawLinesById(CdcDrawLines cdcDrawLines) {
        LambdaQueryWrapper<CdcDrawLines> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(CdcDrawLines :: getId,cdcDrawLines.getId());
        List<CdcDrawLines> byId = this.list(queryWrapper);
        return AjaxResult.success(byId);
    }
}
